#define date 20150113
%define rel 8
%define release %{?date:%mkrel -c %{date} %{rel}}%{!?date:%mkrel %{rel}}

Summary: PPAPI-host NPAPI-plugin adapter
Name: freshplayerplugin
Version: 0.3.6
Release: %{release}
# git clone https://github.com/i-rinat/freshplayerplugin
# cd freshplayerplugin
# git archive --prefix=freshplayerplugin-$(date +%Y%m%d)/ --format=tar.gz master > ../freshplayerplugin-$(date +%Y%m%d).tar.gz
# for stable tarballs:
# wget https://github.com/i-rinat/freshplayerplugin/archive/v%{version}.tar.gz -O freshplayerplugin-%{version}.tar.gz
Source0: %{name}-%{?date}%{!?date:%{version}}.tar.gz
Patch1: 0001-Update-reported-Flash-version.patch
Patch2: 0002-add-Adobe-s-package-paths-to-default-path-list.patch
License: MIT
Group: Networking/WWW
Url: https://github.com/i-rinat/freshplayerplugin
BuildRequires: cmake
BuildRequires: ragel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(libevent)
BuildRequires: pkgconfig(libevent_pthreads)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(glesv2)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libva)
BuildRequires: pkgconfig(vdpau)
BuildRequires: pkgconfig(libv4l2)

%description
The main goal of this project is to get PPAPI (Pepper) Flash player
working in Firefox. It implements an adapter that looks like a browser
to a PPAPI plugin and looks like an NPAPI plugin to the browser. Note
that this particular implementation does not implement any sandbox.

This package expects Google Chrome (or at least its Pepper Flash plugin)
to be installed in the standard location.

%prep
%setup -qn %{name}-%{?date}%{!?date:%{version}}
%autopatch -p1

%build
%cmake
%make_build

%install
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
install build/libfreshwrapper-flashplayer.so %{buildroot}%{_libdir}/mozilla/plugins/

%files
%doc data/freshwrapper.conf.example
%verify(not mtime) %{_libdir}/mozilla/plugins/libfreshwrapper-flashplayer.so


%changelog
* Tue May 02 2017 akien <akien> 0.3.6-8.mga6
+ Revision: 1098354
- Rebuild for ffmpeg 3.3

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.3.6-7.mga6
+ Revision: 1093166
+ rebuild (emptylog)

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.3.6-6.mga6
+ Revision: 1093085
- Rebuild for icu-58.2

* Fri Mar 10 2017 akien <akien> 0.3.6-5.mga6
+ Revision: 1091603
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 akien <akien> 0.3.6-4.mga6
+ Revision: 1089855
- Rebuild for ffmpeg 3.2.4

* Mon Feb 13 2017 mrambo3501 <mrambo3501> 0.3.6-3.mga6
+ Revision: 1085987
- rebuild for new libevent

* Tue Jan 10 2017 luigiwalser <luigiwalser> 0.3.6-2.mga6
+ Revision: 1080881
- do not verify mtime of plugin so file (allow it to be touched)
- add upstream patches to update reported version and supported paths

* Wed Oct 19 2016 luigiwalser <luigiwalser> 0.3.6-1.mga6
+ Revision: 1062536
- 0.3.6

* Fri May 06 2016 luigiwalser <luigiwalser> 0.3.5-1.mga6
+ Revision: 1009934
- 0.3.5

* Mon Dec 21 2015 luigiwalser <luigiwalser> 0.3.4-1.mga6
+ Revision: 913248
- 0.3.4 (mga#17338)

* Tue Aug 11 2015 luigiwalser <luigiwalser> 0.3.1-1.mga6
+ Revision: 863146
- 0.3.1

* Wed Jan 14 2015 luigiwalser <luigiwalser> 0.2.2-1.mga5
+ Revision: 810669
- update to final 0.2.2 release (from 20150113)
- add two upstream patches from 20150113 to fix gtk-3.0 incompatibilities

* Tue Jan 13 2015 luigiwalser <luigiwalser> 0.2.2-0.20150110.1.mga5
+ Revision: 810253
- update to 20150110 snapshot which is working again

* Thu Jan 08 2015 luigiwalser <luigiwalser> 0.2.2-0.20150107.1.mga5
+ Revision: 809488
- imported package freshplayerplugin

